function init()
	-- NAME & GRAPHIC --
	c.name = "Gatedoor"
	c.gfxFile = "gate_door.png"

	-- STATS --
	c.mass = 120
	c.stat.thrust = 0
	c.stat.maxSpeed = 50
	c.stat.turnRate = 360
	c.stat.armour = 6
	
	c.stationary = 1
	c.ignoreShipCollisions = 1

	-- TILES & POWER SLOTS --
	c.load_cshape("filled.png")
	
	-- MISC --
	c.desc = "Shoot this switch to open its associated gate."
	c.behavior = "switch"
end

--sets the editor/minimap display icon
function setIcon()
	icon.frame = 0	--from map_icons.png, which frame to use.
	return 0
end